#!/bin/lua
home = os.getenv("HOME")
local results = {}
local target = "<!-- Visual Styles -->"
local skipFlag = false
for line in io.lines(home.."/.jwmrc") 
do
  if string.find(line,target,1,1) then
     if not skipFlag then
        results[#results+1] = "<Include>./.jwmrc-theme</Include>"
        skipFlag = true
        target = "</PopupStyle>"
     else
        skipFlag = false
     end
  else
     if not skipFlag then
        results[#results+1] = line
     end
  end
end
io.output(home.."/.jwmrc")
for _,newLine in ipairs(results) do
   io.write(newLine.."\n")
end
io.flush()
io.output()
os.exit(0)
